
<head>
   <body>       
         
        <meta charset="UTF-8">
        
<script src="//cdn.jsdelivr.net/npm/@clappr/player@0.8/dist/clappr.min.js"></script>
<!-- P2PEngine -->
<script src="//cdn.jsdelivr.net/npm/@swarmcloud/hls/p2p-engine.min.js"></script>
<script type="text/javascript" src=" https://cdn.jsdelivr.net/clappr.level-selector/latest/level-selector.min.js "></script>


<body style="z-index:9999999999999999999999999999;margin:0px;padding:0px;overflow:hidden">
<div id="player"></div>

<div id="player"></div>
<script>
    var p2pConfig = {
        // logLevel: 'debug',
        swFile: '../sw.js',
        live: true,
        // trackerZone: 'hk',        // if using Hongkong tracker
        // trackerZone: 'us',        // if using USA tracker
        token: "kDOg1xCSR",
        // Other p2pConfig options provided by CDNBye
    }

    var player = new Clappr.Player({
        parentId: "#player",
        height: "100%",
        width: "100%",
        mediacontrol: {seekbar: "#FF0000", buttons: "#FF0000"},
        autoPlay: true,
        plugins: {
            'core': [LevelSelector, ]
        },
        hlsjsConfig: {
            xhrSetup: function(xhr, url) {
                xhr.withCredentials = false;
            }
        }
    });


    P2PEngineHls.tryRegisterServiceWorker(p2pConfig).then(() => {
        player.load({source: 'https://livetvkilatlive.applecdnstore.com/livetv/2024/UK_TNT_SPORTS_5/tracks-v1a1/mono.ts.m3u8',
            mimeType: 'application/vnd.apple.mpegurl'});
        p2pConfig.hlsjsInstance = player.core.getCurrentPlayback()?._hls;
        var engine = new P2PEngineHls(p2pConfig);
        player.play();
    })

</script>

</body>

</head>